This service will be undergoing maintenance at 03:30 UTC, 2016-05-27. It is expected to last about 2 hours
Bug 197302 - Review Request: perl-Math-Round
Review Request: perl-Math-Round
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 197304
  Show dependency treegraph
 
Reported: 2006-06-29 20:17 EDT by Chris Weyl
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-03 19:51:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-06-29 20:17:55 EDT
Spec URL: http://home.comcast.net/~ckweyl/perl-Math-Round.spec
SRPM URL: http://home.comcast.net/~ckweyl/perl-Math-Round-0.05-0.fc5.src.rpm

Description:
Math::Round supplies functions that will round numbers in different ways. The
functions round and nearest are exported by default; others are available as
described below. "use ... qw(:all)" exports all functions.
Comment 1 Jason Tibbitts 2006-07-03 16:12:24 EDT
BR: perl is not necessary (not a blocker).
No need to pass OPTIMIZE for a noarch package (not a blocker).

Review:
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* source files match upstream:
   ef35f988b32be4af3b3ccee131ece87f  Math-Round-0.05.tar.gz
* latest version is being packaged.
O BuildRequires are proper.
* package builds in mock (development, x86_64).
* rpmlint is silent.
* final provides and requires are sane:
   perl(Math::Round) = 0.05
   perl-Math-Round = 0.05-0.fc6
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(Exporter)
   perl(POSIX)
   perl(strict)
   perl(vars)
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present and all tests pass:
   nhimult..........ok 11
   All tests successful.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED
Comment 2 Chris Weyl 2006-07-03 19:51:57 EDT
Imported to cvs and built for devel (job 12000!); will build for FC-4,5 after
branching takes place.

Thanks! :)

Note You need to log in before you can comment on or make changes to this bug.